Loading...
Searching...
No Matches
DebugArguments.h File Reference

Defines a lowering pass that injects debug statements inside a LoweredFunc. More...

`#include "Target.h"`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

void | Halide::Internal::debug_arguments (LoweredFunc *func, const Target &t)
| Injects debug prints in a LoweredFunc that describe the target and arguments.

## Detailed Description

Defines a lowering pass that injects debug statements inside a LoweredFunc.

Intended to be used when Target::Debug is on.

Definition in file DebugArguments.h.